// common.h by Kosei Demura 2008-9-21

#define NUM 4            // Number of wheels
#define STEP_SIZE 0.02   // step size for dWorldStep

typedef struct
{
    dBodyID  body;
    dGeomID  geom;
    dJointID joint;
    dReal    v;         // px
    dReal    m,r,x,y,z; // ʁCaCʒu(x,y,z)
    dReal    lx,ly,lz;  // sizes[3]
} MyObject;

typedef enum
{
  FRONT, // O
  LEFT,  // 
  REAR,  // 
  RIGHT, // E
} WheelPos;
